From c61fc31493b8deffd075e12853c3add83743fe05 Mon Sep 17 00:00:00 2001
From: Sarah McAlear and Tira Odhner <pair+smcalear+aodhner@pivotal.io>
Date: Thu, 23 Feb 2017 15:20:17 -0500
Subject: [PATCH 1/3] Move the external js dependencies into /vendor
 directories

---
 web/pgadmin/browser/__init__.py                    | 28 +++++-----
 .../aciTree/jquery.aciFragment.min.js              |  0
 .../{js => vendor}/aciTree/jquery.aciPlugin.min.js |  0
 .../aciTree/jquery.aciSortable.min.js              |  0
 .../aciTree/jquery.aciTree.checkbox.js             |  0
 .../aciTree/jquery.aciTree.column.js               |  0
 .../{js => vendor}/aciTree/jquery.aciTree.core.js  |  0
 .../{js => vendor}/aciTree/jquery.aciTree.debug.js |  0
 .../{js => vendor}/aciTree/jquery.aciTree.dom.js   |  0
 .../aciTree/jquery.aciTree.editable.js             |  0
 .../{js => vendor}/aciTree/jquery.aciTree.hash.js  |  0
 .../{js => vendor}/aciTree/jquery.aciTree.js       |  0
 .../{js => vendor}/aciTree/jquery.aciTree.min.js   |  0
 .../aciTree/jquery.aciTree.persist.js              |  0
 .../{js => vendor}/aciTree/jquery.aciTree.radio.js |  0
 .../aciTree/jquery.aciTree.selectable.js           |  0
 .../aciTree/jquery.aciTree.sortable.js             |  0
 .../{js => vendor}/aciTree/jquery.aciTree.utils.js |  0
 ...in.defaults.js => alertify.pgadmin.defaults.js} |  0
 .../static/js/{backgrid => }/backgrid.pgadmin.js   |  0
 .../static/{js => vendor}/alertifyjs/alertify.js   |  0
 .../{js => vendor}/alertifyjs/alertify.min.js      |  0
 web/pgadmin/static/{js => vendor}/backbone-min.js  |  0
 web/pgadmin/static/{js => vendor}/backbone.js      |  0
 .../static/{js => vendor}/backbone.paginator.js    |  0
 .../{js => vendor}/backbone.paginator.min.js       |  0
 web/pgadmin/static/{js => vendor}/backbone.undo.js |  0
 .../static/{js => vendor}/backbone.undo.min.js     |  0
 web/pgadmin/static/{js => vendor}/backform.js      |  0
 .../{js => vendor}/backgrid/backgrid-filter.js     |  0
 .../{js => vendor}/backgrid/backgrid-filter.min.js |  0
 .../{js => vendor}/backgrid/backgrid-paginator.js  |  0
 .../backgrid/backgrid-paginator.min.js             |  0
 .../{js => vendor}/backgrid/backgrid-select-all.js |  0
 .../backgrid/backgrid-select-all.min.js            |  0
 .../backgrid/backgrid-sizeable-columns.js          |  0
 .../static/{js => vendor}/backgrid/backgrid.js     |  0
 .../static/{js => vendor}/backgrid/backgrid.min.js |  0
 .../static/{js => vendor}/bignumber/bignumber.js   |  0
 .../{js => vendor}/bignumber/bignumber.min.js      |  0
 .../static/{js => vendor}/bootstrap-datepicker.js  |  0
 .../{js => vendor}/bootstrap-datepicker.min.js     |  0
 .../{js => vendor}/bootstrap-datetimepicker.js     |  0
 .../{js => vendor}/bootstrap-datetimepicker.min.js |  0
 .../static/{js => vendor}/bootstrap-switch.js      |  0
 .../static/{js => vendor}/bootstrap-switch.min.js  |  0
 web/pgadmin/static/{js => vendor}/bootstrap.js     |  0
 web/pgadmin/static/{js => vendor}/bootstrap.min.js |  0
 .../codemirror/addon/comment/comment.js            |  0
 .../codemirror/addon/comment/continuecomment.js    |  0
 .../codemirror/addon/dialog/dialog.css             |  0
 .../codemirror/addon/dialog/dialog.js              |  0
 .../codemirror/addon/display/autorefresh.js        |  0
 .../codemirror/addon/display/fullscreen.css        |  0
 .../codemirror/addon/display/fullscreen.js         |  0
 .../codemirror/addon/display/panel.js              |  0
 .../codemirror/addon/display/placeholder.js        |  0
 .../codemirror/addon/display/rulers.js             |  0
 .../codemirror/addon/edit/closebrackets.js         |  0
 .../codemirror/addon/edit/closetag.js              |  0
 .../codemirror/addon/edit/continuelist.js          |  0
 .../codemirror/addon/edit/matchbrackets.js         |  0
 .../codemirror/addon/edit/matchtags.js             |  0
 .../codemirror/addon/edit/trailingspace.js         |  0
 .../codemirror/addon/fold/brace-fold.js            |  0
 .../codemirror/addon/fold/comment-fold.js          |  0
 .../codemirror/addon/fold/foldcode.js              |  0
 .../codemirror/addon/fold/foldgutter.css           |  0
 .../codemirror/addon/fold/foldgutter.js            |  0
 .../codemirror/addon/fold/indent-fold.js           |  0
 .../codemirror/addon/fold/markdown-fold.js         |  0
 .../codemirror/addon/fold/pgadmin-sqlfoldcode.js   |  0
 .../codemirror/addon/fold/xml-fold.js              |  0
 .../codemirror/addon/hint/anyword-hint.js          |  0
 .../codemirror/addon/hint/css-hint.js              |  0
 .../codemirror/addon/hint/html-hint.js             |  0
 .../codemirror/addon/hint/javascript-hint.js       |  0
 .../codemirror/addon/hint/show-hint.css            |  0
 .../codemirror/addon/hint/show-hint.js             |  0
 .../codemirror/addon/hint/sql-hint.js              |  0
 .../codemirror/addon/hint/xml-hint.js              |  0
 .../codemirror/addon/lint/coffeescript-lint.js     |  0
 .../codemirror/addon/lint/css-lint.js              |  0
 .../codemirror/addon/lint/html-lint.js             |  0
 .../codemirror/addon/lint/javascript-lint.js       |  0
 .../codemirror/addon/lint/json-lint.js             |  0
 .../{js => vendor}/codemirror/addon/lint/lint.css  |  0
 .../{js => vendor}/codemirror/addon/lint/lint.js   |  0
 .../codemirror/addon/lint/yaml-lint.js             |  0
 .../codemirror/addon/merge/merge.css               |  0
 .../{js => vendor}/codemirror/addon/merge/merge.js |  0
 .../codemirror/addon/mode/loadmode.js              |  0
 .../codemirror/addon/mode/multiplex.js             |  0
 .../codemirror/addon/mode/multiplex_test.js        |  0
 .../codemirror/addon/mode/overlay.js               |  0
 .../{js => vendor}/codemirror/addon/mode/simple.js |  0
 .../codemirror/addon/runmode/colorize.js           |  0
 .../codemirror/addon/runmode/runmode-standalone.js |  0
 .../codemirror/addon/runmode/runmode.js            |  0
 .../codemirror/addon/runmode/runmode.node.js       |  0
 .../codemirror/addon/scroll/annotatescrollbar.js   |  0
 .../codemirror/addon/scroll/scrollpastend.js       |  0
 .../codemirror/addon/scroll/simplescrollbars.css   |  0
 .../codemirror/addon/scroll/simplescrollbars.js    |  0
 .../codemirror/addon/search/jump-to-line.js        |  0
 .../codemirror/addon/search/match-highlighter.js   |  0
 .../codemirror/addon/search/matchesonscrollbar.css |  0
 .../codemirror/addon/search/matchesonscrollbar.js  |  0
 .../codemirror/addon/search/search.js              |  0
 .../codemirror/addon/search/searchcursor.js        |  0
 .../codemirror/addon/selection/active-line.js      |  0
 .../codemirror/addon/selection/mark-selection.js   |  0
 .../addon/selection/selection-pointer.js           |  0
 .../{js => vendor}/codemirror/addon/tern/tern.css  |  0
 .../{js => vendor}/codemirror/addon/tern/tern.js   |  0
 .../{js => vendor}/codemirror/addon/tern/worker.js |  0
 .../codemirror/addon/wrap/hardwrap.js              |  0
 .../{js => vendor}/codemirror/lib/codemirror.js    |  0
 .../{js => vendor}/codemirror/mode/sql/sql.js      |  0
 .../static/{js => vendor}/flotr2/bean-min.js       |  0
 web/pgadmin/static/{js => vendor}/flotr2/bean.js   |  0
 .../static/{js => vendor}/flotr2/flotr2.amd.js     |  0
 .../jQuery-contextMenu/jquery.contextMenu.js       |  0
 .../jQuery-contextMenu/jquery.contextMenu.min.js   |  0
 .../jQuery-contextMenu/jquery.ui.position.js       |  0
 .../jQuery-contextMenu/jquery.ui.position.min.js   |  0
 web/pgadmin/static/{js => vendor}/jquery-1.11.2.js |  0
 .../static/{js => vendor}/jquery-1.11.2.min.js     |  0
 .../{js => vendor}/jquery-ui/jquery-ui-1.11.3.js   |  0
 .../jquery-ui/jquery-ui-1.11.3.min.js              |  0
 .../jquery-ui/jquery.event.drag-2.2.js             |  0
 .../jquery-ui/jquery.event.drop-2.2.js             |  0
 .../{js => vendor}/jquery.dropzone/dropzone.js     |  0
 .../modernizr-2.6.2-respond-1.1.0.min.js           |  0
 .../static/{js => vendor}/moment-with-locales.js   |  0
 .../{js => vendor}/moment-with-locales.min.js      |  0
 web/pgadmin/static/{js => vendor}/require.js       |  0
 web/pgadmin/static/{js => vendor}/require.min.js   |  0
 .../static/{js => vendor}/select2/i18n/ar.js       |  0
 .../static/{js => vendor}/select2/i18n/az.js       |  0
 .../static/{js => vendor}/select2/i18n/bg.js       |  0
 .../static/{js => vendor}/select2/i18n/ca.js       |  0
 .../static/{js => vendor}/select2/i18n/cs.js       |  0
 .../static/{js => vendor}/select2/i18n/da.js       |  0
 .../static/{js => vendor}/select2/i18n/de.js       |  0
 .../static/{js => vendor}/select2/i18n/en.js       |  0
 .../static/{js => vendor}/select2/i18n/es.js       |  0
 .../static/{js => vendor}/select2/i18n/et.js       |  0
 .../static/{js => vendor}/select2/i18n/eu.js       |  0
 .../static/{js => vendor}/select2/i18n/fa.js       |  0
 .../static/{js => vendor}/select2/i18n/fi.js       |  0
 .../static/{js => vendor}/select2/i18n/fr.js       |  0
 .../static/{js => vendor}/select2/i18n/gl.js       |  0
 .../static/{js => vendor}/select2/i18n/he.js       |  0
 .../static/{js => vendor}/select2/i18n/hi.js       |  0
 .../static/{js => vendor}/select2/i18n/hr.js       |  0
 .../static/{js => vendor}/select2/i18n/hu.js       |  0
 .../static/{js => vendor}/select2/i18n/id.js       |  0
 .../static/{js => vendor}/select2/i18n/is.js       |  0
 .../static/{js => vendor}/select2/i18n/it.js       |  0
 .../static/{js => vendor}/select2/i18n/ja.js       |  0
 .../static/{js => vendor}/select2/i18n/ko.js       |  0
 .../static/{js => vendor}/select2/i18n/lt.js       |  0
 .../static/{js => vendor}/select2/i18n/lv.js       |  0
 .../static/{js => vendor}/select2/i18n/mk.js       |  0
 .../static/{js => vendor}/select2/i18n/ms.js       |  0
 .../static/{js => vendor}/select2/i18n/nb.js       |  0
 .../static/{js => vendor}/select2/i18n/nl.js       |  0
 .../static/{js => vendor}/select2/i18n/pl.js       |  0
 .../static/{js => vendor}/select2/i18n/pt-BR.js    |  0
 .../static/{js => vendor}/select2/i18n/pt.js       |  0
 .../static/{js => vendor}/select2/i18n/ro.js       |  0
 .../static/{js => vendor}/select2/i18n/ru.js       |  0
 .../static/{js => vendor}/select2/i18n/sk.js       |  0
 .../static/{js => vendor}/select2/i18n/sr-Cyrl.js  |  0
 .../static/{js => vendor}/select2/i18n/sr.js       |  0
 .../static/{js => vendor}/select2/i18n/sv.js       |  0
 .../static/{js => vendor}/select2/i18n/th.js       |  0
 .../static/{js => vendor}/select2/i18n/tr.js       |  0
 .../static/{js => vendor}/select2/i18n/uk.js       |  0
 .../static/{js => vendor}/select2/i18n/vi.js       |  0
 .../static/{js => vendor}/select2/i18n/zh-CN.js    |  0
 .../static/{js => vendor}/select2/i18n/zh-TW.js    |  0
 .../static/{js => vendor}/select2/select2.full.js  |  0
 .../{js => vendor}/select2/select2.full.min.js     |  0
 web/pgadmin/static/{js => vendor}/slickgrid/README |  0
 .../slickgrid/controls/slick.columnpicker.css      |  0
 .../slickgrid/controls/slick.columnpicker.js       |  0
 .../slickgrid/controls/slick.pager.css             |  0
 .../slickgrid/controls/slick.pager.js              |  0
 .../slickgrid/plugins/slick.autotooltips.js        |  0
 .../slickgrid/plugins/slick.cellcopymanager.js     |  0
 .../slickgrid/plugins/slick.cellrangedecorator.js  |  0
 .../slickgrid/plugins/slick.cellrangeselector.js   |  0
 .../slickgrid/plugins/slick.cellselectionmodel.js  |  0
 .../plugins/slick.checkboxselectcolumn.js          |  0
 .../slickgrid/plugins/slick.headerbuttons.css      |  0
 .../slickgrid/plugins/slick.headerbuttons.js       |  0
 .../slickgrid/plugins/slick.headermenu.css         |  0
 .../slickgrid/plugins/slick.headermenu.js          |  0
 .../slickgrid/plugins/slick.rowmovemanager.js      |  0
 .../slickgrid/plugins/slick.rowselectionmodel.js   |  0
 .../static/{js => vendor}/slickgrid/slick.core.js  |  0
 .../{js => vendor}/slickgrid/slick.dataview.js     |  0
 .../{js => vendor}/slickgrid/slick.editors.js      |  0
 .../{js => vendor}/slickgrid/slick.formatters.js   |  0
 .../static/{js => vendor}/slickgrid/slick.grid.js  |  0
 .../slickgrid/slick.pgadmin.editors.js             |  0
 .../slickgrid/slick.pgadmin.formatters.js          |  0
 .../static/{js => vendor}/underscore-min.js        |  0
 web/pgadmin/static/{js => vendor}/underscore.js    |  0
 .../static/{js => vendor}/underscore.string.js     |  0
 .../static/{js => vendor}/underscore.string.min.js |  0
 web/pgadmin/static/{js => vendor}/wcDocker/README  |  0
 .../static/{js => vendor}/wcDocker/wcDocker.js     |  0
 .../static/{js => vendor}/wcDocker/wcDocker.min.js |  0
 web/pgadmin/templates/base.html                    | 63 +++++++++++-----------
 217 files changed, 46 insertions(+), 45 deletions(-)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciFragment.min.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciPlugin.min.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciSortable.min.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.checkbox.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.column.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.core.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.debug.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.dom.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.editable.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.hash.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.min.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.persist.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.radio.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.selectable.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.sortable.js (100%)
 rename web/pgadmin/browser/static/{js => vendor}/aciTree/jquery.aciTree.utils.js (100%)
 rename web/pgadmin/static/js/{alertifyjs/pgadmin.defaults.js => alertify.pgadmin.defaults.js} (100%)
 rename web/pgadmin/static/js/{backgrid => }/backgrid.pgadmin.js (100%)
 rename web/pgadmin/static/{js => vendor}/alertifyjs/alertify.js (100%)
 rename web/pgadmin/static/{js => vendor}/alertifyjs/alertify.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/backbone-min.js (100%)
 rename web/pgadmin/static/{js => vendor}/backbone.js (100%)
 rename web/pgadmin/static/{js => vendor}/backbone.paginator.js (100%)
 rename web/pgadmin/static/{js => vendor}/backbone.paginator.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/backbone.undo.js (100%)
 rename web/pgadmin/static/{js => vendor}/backbone.undo.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/backform.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid-filter.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid-filter.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid-paginator.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid-paginator.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid-select-all.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid-select-all.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid-sizeable-columns.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid.js (100%)
 rename web/pgadmin/static/{js => vendor}/backgrid/backgrid.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/bignumber/bignumber.js (100%)
 rename web/pgadmin/static/{js => vendor}/bignumber/bignumber.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/bootstrap-datepicker.js (100%)
 rename web/pgadmin/static/{js => vendor}/bootstrap-datepicker.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/bootstrap-datetimepicker.js (100%)
 rename web/pgadmin/static/{js => vendor}/bootstrap-datetimepicker.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/bootstrap-switch.js (100%)
 rename web/pgadmin/static/{js => vendor}/bootstrap-switch.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/bootstrap.js (100%)
 rename web/pgadmin/static/{js => vendor}/bootstrap.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/comment/comment.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/comment/continuecomment.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/dialog/dialog.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/dialog/dialog.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/display/autorefresh.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/display/fullscreen.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/display/fullscreen.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/display/panel.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/display/placeholder.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/display/rulers.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/edit/closebrackets.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/edit/closetag.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/edit/continuelist.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/edit/matchbrackets.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/edit/matchtags.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/edit/trailingspace.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/brace-fold.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/comment-fold.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/foldcode.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/foldgutter.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/foldgutter.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/indent-fold.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/markdown-fold.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/pgadmin-sqlfoldcode.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/fold/xml-fold.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/hint/anyword-hint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/hint/css-hint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/hint/html-hint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/hint/javascript-hint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/hint/show-hint.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/hint/show-hint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/hint/sql-hint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/hint/xml-hint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/lint/coffeescript-lint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/lint/css-lint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/lint/html-lint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/lint/javascript-lint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/lint/json-lint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/lint/lint.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/lint/lint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/lint/yaml-lint.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/merge/merge.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/merge/merge.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/mode/loadmode.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/mode/multiplex.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/mode/multiplex_test.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/mode/overlay.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/mode/simple.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/runmode/colorize.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/runmode/runmode-standalone.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/runmode/runmode.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/runmode/runmode.node.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/scroll/annotatescrollbar.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/scroll/scrollpastend.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/scroll/simplescrollbars.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/scroll/simplescrollbars.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/search/jump-to-line.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/search/match-highlighter.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/search/matchesonscrollbar.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/search/matchesonscrollbar.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/search/search.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/search/searchcursor.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/selection/active-line.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/selection/mark-selection.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/selection/selection-pointer.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/tern/tern.css (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/tern/tern.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/tern/worker.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/addon/wrap/hardwrap.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/lib/codemirror.js (100%)
 rename web/pgadmin/static/{js => vendor}/codemirror/mode/sql/sql.js (100%)
 rename web/pgadmin/static/{js => vendor}/flotr2/bean-min.js (100%)
 rename web/pgadmin/static/{js => vendor}/flotr2/bean.js (100%)
 rename web/pgadmin/static/{js => vendor}/flotr2/flotr2.amd.js (100%)
 rename web/pgadmin/static/{js => vendor}/jQuery-contextMenu/jquery.contextMenu.js (100%)
 rename web/pgadmin/static/{js => vendor}/jQuery-contextMenu/jquery.contextMenu.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/jQuery-contextMenu/jquery.ui.position.js (100%)
 rename web/pgadmin/static/{js => vendor}/jQuery-contextMenu/jquery.ui.position.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/jquery-1.11.2.js (100%)
 rename web/pgadmin/static/{js => vendor}/jquery-1.11.2.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/jquery-ui/jquery-ui-1.11.3.js (100%)
 rename web/pgadmin/static/{js => vendor}/jquery-ui/jquery-ui-1.11.3.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/jquery-ui/jquery.event.drag-2.2.js (100%)
 rename web/pgadmin/static/{js => vendor}/jquery-ui/jquery.event.drop-2.2.js (100%)
 rename web/pgadmin/static/{js => vendor}/jquery.dropzone/dropzone.js (100%)
 rename web/pgadmin/static/{js => vendor}/modernizr-2.6.2-respond-1.1.0.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/moment-with-locales.js (100%)
 rename web/pgadmin/static/{js => vendor}/moment-with-locales.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/require.js (100%)
 rename web/pgadmin/static/{js => vendor}/require.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/ar.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/az.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/bg.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/ca.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/cs.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/da.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/de.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/en.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/es.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/et.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/eu.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/fa.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/fi.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/fr.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/gl.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/he.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/hi.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/hr.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/hu.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/id.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/is.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/it.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/ja.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/ko.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/lt.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/lv.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/mk.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/ms.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/nb.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/nl.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/pl.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/pt-BR.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/pt.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/ro.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/ru.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/sk.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/sr-Cyrl.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/sr.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/sv.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/th.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/tr.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/uk.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/vi.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/zh-CN.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/i18n/zh-TW.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/select2.full.js (100%)
 rename web/pgadmin/static/{js => vendor}/select2/select2.full.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/README (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/controls/slick.columnpicker.css (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/controls/slick.columnpicker.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/controls/slick.pager.css (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/controls/slick.pager.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.autotooltips.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.cellcopymanager.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.cellrangedecorator.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.cellrangeselector.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.cellselectionmodel.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.checkboxselectcolumn.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.headerbuttons.css (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.headerbuttons.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.headermenu.css (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.headermenu.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.rowmovemanager.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/plugins/slick.rowselectionmodel.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/slick.core.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/slick.dataview.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/slick.editors.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/slick.formatters.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/slick.grid.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/slick.pgadmin.editors.js (100%)
 rename web/pgadmin/static/{js => vendor}/slickgrid/slick.pgadmin.formatters.js (100%)
 rename web/pgadmin/static/{js => vendor}/underscore-min.js (100%)
 rename web/pgadmin/static/{js => vendor}/underscore.js (100%)
 rename web/pgadmin/static/{js => vendor}/underscore.string.js (100%)
 rename web/pgadmin/static/{js => vendor}/underscore.string.min.js (100%)
 rename web/pgadmin/static/{js => vendor}/wcDocker/README (100%)
 rename web/pgadmin/static/{js => vendor}/wcDocker/wcDocker.js (100%)
 rename web/pgadmin/static/{js => vendor}/wcDocker/wcDocker.min.js (100%)

diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index 9c1e5456..e9b9747b 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -40,7 +40,7 @@ class BrowserModule(PgAdminModule):
         # Add browser stylesheets
         for (endpoint, filename) in [
             ('static', 'css/codemirror/codemirror.css'),
-            ('static', 'js/codemirror/addon/dialog/dialog.css'),
+            ('static', 'vendor/codemirror/addon/dialog/dialog.css'),
             ('static', 'css/jQuery-contextMenu/jquery.contextMenu.css' if current_app.debug
             else 'css/jQuery-contextMenu/jquery.contextMenu.min.css'),
             ('static', 'css/wcDocker/wcDocker.css' if current_app.debug
@@ -58,8 +58,8 @@ class BrowserModule(PgAdminModule):
             'name': 'alertify',
             'path': url_for(
                 'static',
-                filename='js/alertifyjs/alertify' if current_app.debug
-                else 'js/alertifyjs/alertify.min'
+                filename='vendor/alertifyjs/alertify' if current_app.debug
+                else 'vendor/alertifyjs/alertify.min'
             ),
             'exports': 'alertify',
             'preloaded': True
@@ -68,9 +68,9 @@ class BrowserModule(PgAdminModule):
             'name': 'jqueryui.position',
             'path': url_for(
                 'static',
-                filename='js/jQuery-contextMenu/jquery.ui.position' if \
+                filename='vendor/jQuery-contextMenu/jquery.ui.position' if \
                     current_app.debug else \
-                    'js/jQuery-contextMenu/jquery.ui.position.min'
+                    'vendor/jQuery-contextMenu/jquery.ui.position.min'
             ),
             'deps': ['jquery'],
             'exports': 'jQuery.ui.position',
@@ -80,9 +80,9 @@ class BrowserModule(PgAdminModule):
             'name': 'jquery.contextmenu',
             'path': url_for(
                 'static',
-                filename='js/jQuery-contextMenu/jquery.contextMenu' if \
+                filename='vendor/jQuery-contextMenu/jquery.contextMenu' if \
                     current_app.debug else \
-                    'js/jQuery-contextMenu/jquery.contextMenu.min'
+                    'vendor/jQuery-contextMenu/jquery.contextMenu.min'
             ),
             'deps': ['jquery', 'jqueryui.position'],
             'exports': 'jQuery.contextMenu',
@@ -92,7 +92,7 @@ class BrowserModule(PgAdminModule):
             'name': 'jquery.aciplugin',
             'path': url_for(
                 'browser.static',
-                filename='js/aciTree/jquery.aciPlugin.min'
+                filename='vendor/aciTree/jquery.aciPlugin.min'
             ),
             'deps': ['jquery'],
             'exports': 'aciPluginClass',
@@ -102,8 +102,8 @@ class BrowserModule(PgAdminModule):
             'name': 'jquery.acitree',
             'path': url_for(
                 'browser.static',
-                filename='js/aciTree/jquery.aciTree' if
-                current_app.debug else 'js/aciTree/jquery.aciTree.min'
+                filename='vendor/aciTree/jquery.aciTree' if
+                current_app.debug else 'vendor/aciTree/jquery.aciTree.min'
             ),
             'deps': ['jquery', 'jquery.aciplugin'],
             'exports': 'aciPluginClass.plugins.aciTree',
@@ -113,7 +113,7 @@ class BrowserModule(PgAdminModule):
             'name': 'jquery.acisortable',
             'path': url_for(
                 'browser.static',
-                filename='js/aciTree/jquery.aciSortable.min'
+                filename='vendor/aciTree/jquery.aciSortable.min'
             ),
             'deps': ['jquery', 'jquery.aciplugin'],
             'exports': 'aciPluginClass.plugins.aciSortable',
@@ -124,7 +124,7 @@ class BrowserModule(PgAdminModule):
             'name': 'jquery.acifragment',
             'path': url_for(
                 'browser.static',
-                filename='js/aciTree/jquery.aciFragment.min'
+                filename='vendor/aciTree/jquery.aciFragment.min'
             ),
             'deps': ['jquery', 'jquery.aciplugin'],
             'exports': 'aciPluginClass.plugins.aciFragment',
@@ -135,8 +135,8 @@ class BrowserModule(PgAdminModule):
             'name': 'wcdocker',
             'path': url_for(
                 'static',
-                filename='js/wcDocker/wcDocker' if current_app.debug
-                else 'js/wcDocker/wcDocker.min'
+                filename='vendor/wcDocker/wcDocker' if current_app.debug
+                else 'vendor/wcDocker/wcDocker.min'
             ),
             'deps': ['jquery.contextmenu'],
             'exports': '',
